package com.kakao.sdk.auth

import android.net.Uri
import com.kakao.sdk.common.KakaoSdk

/**
 * @suppress
 */
object UriUtility {

    fun authorizeUri(
        clientId: String,
        agt: String? = null,
        redirectUri: String,
        scopes: List<String>? = null,
        approvalType: String = "individual"
    ): Uri {
        val builder = Uri.Builder()
            .scheme(com.kakao.sdk.network.Constants.SCHEME)
            .authority(KakaoSdk.serverHosts.kauth).path(Constants.AUTHORIZE_PATH)
            .appendQueryParameter(Constants.CLIENT_ID, clientId)
            .appendQueryParameter(Constants.REDIRECT_URI, redirectUri)
            .appendQueryParameter(Constants.RESPONSE_TYPE, Constants.CODE)
            .appendQueryParameter(Constants.APPROVAL_TYPE, approvalType).apply {
                agt?.let { appendQueryParameter(Constants.AGT, agt) }
                if (scopes != null && scopes.isNotEmpty()) {
                    appendQueryParameter(Constants.SCOPE, scopes.joinToString(","))
                }
            }
        return builder.build()

    }
}