package com.kakao.sdk.auth

import com.kakao.sdk.auth.model.AccessTokenResponse
import com.kakao.sdk.auth.model.OAuthToken
import com.kakao.sdk.auth.network.AccessTokenInterceptor
import com.kakao.sdk.network.Constants
import io.reactivex.Observable
import okhttp3.OkHttpClient
import okhttp3.Request
import okhttp3.mockwebserver.MockResponse
import okhttp3.mockwebserver.MockWebServer

import org.junit.Assert.*
import org.junit.jupiter.api.BeforeEach
import org.junit.jupiter.api.Test

/**
 * @author kevin.kang. Created on 2018. 3. 30..
 */
class AccessTokenInterceptorTest {
    private lateinit var interceptor: AccessTokenInterceptor

    @BeforeEach
    fun setup() {

        val repo = object : AccessTokenRepo {
            override fun fromCache(): OAuthToken =
                OAuthToken("access_token")

            override fun toCache(accessTokenResponse: AccessTokenResponse): OAuthToken {
                TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
            }

            override fun clearCache() {
                TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
            }
        }
        interceptor = AccessTokenInterceptor(repo)
    }

    @Test
    fun interceptor() {
        val client = OkHttpClient().newBuilder().addInterceptor(interceptor).build()
        val server = MockWebServer()
        server.start()

        server.enqueue(MockResponse())
        client.newCall(Request.Builder().url(server.url("/")).build()).execute()
        val request = server.takeRequest()

        assertEquals("${Constants.BEARER} access_token", request.getHeader(Constants.AUTHORIZATION))
        server.shutdown()
    }
}