package com.kakao.sdk.common

import okhttp3.OkHttpClient
import retrofit2.CallAdapter
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

/**
 * @suppress
 * @author kevin.kang. Created on 2019-10-31..
 */
object ApiFactory {
    fun withClientAndAdapter(
        url: String,
        clientBuilder: OkHttpClient.Builder,
        factory: CallAdapter.Factory
    ): Retrofit =
        Retrofit.Builder().baseUrl(url)
            .addCallAdapterFactory(factory)
            .addConverterFactory(KakaoRetrofitConverterFactory())
            .addConverterFactory(GsonConverterFactory.create(KakaoJson.base))
            .client(clientBuilder.build())
            .build()
}