package com.kakao.sdk.sample.common

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.kakao.sdk.sample.common.databinding.ItemFriendBinding

/**
 * @author kevin.kang. Created on 2019-10-07..
 */
class FriendsAdapter(val items: List<PickerItem>) :
    RecyclerView.Adapter<FriendsAdapter.FriendViewHolder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): FriendViewHolder {
        val inflater = LayoutInflater.from(parent.context)
        val binding = ItemFriendBinding.inflate(inflater, parent, false)
        return FriendViewHolder(binding)
    }

    override fun getItemCount(): Int = items.size


    override fun onBindViewHolder(holder: FriendViewHolder, position: Int) {
        holder.bind(items[position])
    }

    class FriendViewHolder(val binding: ItemFriendBinding) : RecyclerView.ViewHolder(binding.root) {
        fun bind(item: PickerItem) {
            binding.item = item

            binding.checkbox.setOnClickListener {
                item.checked = !item.checked
            }
        }
    }
}

