package com.kakao.sdk.user.model

import java.util.*

/**
 * 3rd 의 동의항목 내역 응답 모델.
 * @property userId app user id
 * @property allowedServiceTerms 사용자가 동의한 3rd의 약관 항목들
 *
 * @author kevin.kang. Created on 04/04/2019..
 */
data class UserServiceTerms(val userId: Long, val allowedServiceTerms: List<ServiceTerms>?)

/**
 * 유저의 개별 동의항목 동의 내역.
 *
 * @property tag 동의한 약관의 tag. 3rd 에서 설정한 값
 * @property agreedAt 동의한 시간. 약관이 여러번 뜨는 구조라면, 마지막으로 동의한 시간. RFC3339 internet date/time format (yyyy-mm-dd'T'HH:mm:ss'Z', yyyy-mm-dd'T'HH:mm:ss'+'HH:mm, yyyy-mm-dd'T'HH:mm:ss'-'HH:mm 가능)
 *
 * @author kevin.kang. Created on 04/04/2019..
 */
class ServiceTerms(val tag: String, val agreedAt: Date)