package com.kakao.sdk.sample.common

import android.os.Parcel
import android.os.Parcelable

/**
 * @author kevin.kang. Created on 2019-10-14..
 */
class PickerItem : Parcelable {
    val id: String
    val label: String
    val image: String?
    var checked: Boolean = false

    constructor(id: String, label: String, image: String?) {
        this.id = id
        this.label = label
        this.image = image
    }

    constructor(parcel: Parcel) {
        id = parcel.readString()!!
        label = parcel.readString()!!
        image = parcel.readString()
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(id)
        parcel.writeString(label)
        parcel.writeString(image)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<PickerItem> {
        override fun createFromParcel(parcel: Parcel): PickerItem {
            return PickerItem(parcel)
        }

        override fun newArray(size: Int): Array<PickerItem?> {
            return arrayOfNulls(size)
        }
    }
}